package com.jasamedika.medifirst2000.entities;

import java.io.Serializable;
import org.hibernate.envers.Audited;
import javax.persistence.*;

import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.BaseMaster;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;
import org.hibernate.envers.Audited;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

/**
 * class EventBayi
 * 
 * @author Generator
 */
@Entity // @Audited
@Table(name = "EventBayi_M")
public class EventBayi extends BaseMaster {
	@NotNull(message = "Event Bayi tidak boleh kosong")
	@Column(name = "EventBayi", nullable = false, length = 20)
	@Caption(value = "Event Bayi")
	private String eventBayi;

	public void setEventBayi(String eventBayi) {
		this.eventBayi = eventBayi;
	}

	public String getEventBayi() {
		return this.eventBayi;
	}

	@NotNull(message = "Kd Event Bayi tidak boleh kosong")
	@Column(name = "KdEventBayi", nullable = false)
	@Caption(value = "Kode Event Bayi")
	private Byte kdEventBayi;

	public void setKdEventBayi(Byte kdEventBayi) {
		this.kdEventBayi = kdEventBayi;
	}

	public Byte getKdEventBayi() {
		return this.kdEventBayi;
	}

	@NotNull(message = "QEvent Bayi tidak boleh kosong")
	@Column(name = "QEventBayi", nullable = false)
	@Caption(value = "QEvent Bayi")
	private Byte qEventBayi;

	public void setqEventBayi(Byte qEventBayi) {
		this.qEventBayi = qEventBayi;
	}

	public Byte getqEventBayi() {
		return this.qEventBayi;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.eventbayi_m_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.eventbayi_m_id_seq", sequenceName = "public.eventbayi_m_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {

		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}